Public Service Announcement: Update your add-ons to 3.1

1

3.1 is coming!  We know that many add-on developers have held off on testing for 3.1 compatibility because they’re waiting for a near-final release to test against.  I’m happy to report that as of 3.1b2, no changes are planned which should affect add-on compatibility.  For those of you who migrate to 3.1b2, chances are extremely high that no further compatibility changes will be required for subsequent beta releases up to and including the final release.

Don’t hesitate!  With each subsequent beta, more people make the switch and having 3.1 compatibility will ensure a seamless upgrade experience for your users.

In many cases, your add-ons will work on 3.1 without any changes, so if you test and find this to be the case, simply update your add-on compatibility to 3.1b2 and it will automatically be recognized by Firefox during the startup version check.  If you do find that you’ll need to make code changes, we will prioritize 3.1 compatible extensions in the review queue to make sure that they are approved in a timely manner.

Finally, compatibility will be a requirement for any additions to our Featured and Category Recommended lists- so if you want to be considered for these lists, please make sure your add-ons work on 3.1.

Here are some useful links:

Download Firefox 3.1 Beta 2

Updating Extensions for Firefox 3.1

Tags: ,

Categories: compatibility, developers

One response

  1. Archaeopteryx

    The link should be called “Download Firefox 3.1 Latest Beta” or better “Download Firefox 3.1 Beta 2″